Infra API Reference – MediaKind
Infra API
Base URL https://app.mk.io
v1.1.410 endpoints OpenAPI 3.0.2
Overview
The MK.IO Infrastructure API is the project-level REST API for infrastructure configuration in MK.IO. It focuses on network and site management for operations workflows where infrastructure resources are created, queried, updated, and retired.
Authentication
All endpoints require a bearer token in the Authorization header:
Authorization: Bearer <your_token>
You can create and manage your tokens in your profile settings under Your personal API tokens. Follow the API tokens guide for more information.
Usage
Base URL: https://app.mk.io
Typical usage pattern:
- Create and maintain network and site resources.
- Update or remove resources as requirements change.
Endpoints
- getList Networks/api/v1/projects/{project_name}/infra/networks
- getGet Network/api/v1/projects/{project_name}/infra/networks/{name}
- putCreate Network/api/v1/projects/{project_name}/infra/networks/{name}
- patchUpdate Network/api/v1/projects/{project_name}/infra/networks/{name}
- delDelete Network/api/v1/projects/{project_name}/infra/networks/{name}
- getList Sites/api/v1/projects/{project_name}/infra/sites
- getGet Site/api/v1/projects/{project_name}/infra/sites/{name}
- putCreate Site/api/v1/projects/{project_name}/infra/sites/{name}
- patchUpdate Site/api/v1/projects/{project_name}/infra/sites/{name}
- delDelete Site/api/v1/projects/{project_name}/infra/sites/{name}